Page MenuHomePhabricator

efl_ui_panes: migrate to efl_ui_clickable
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:01 AM.

Details

Summary

the implementation of efl_ui_clickable is now used to tricker the
events. efl,action,click and efl,action,click,double is not needed
anymore from the theme.

Depends on D8824

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11291
bu5hm4n created this revision.May 5 2019, 3:01 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM
bu5hm4n updated this revision to Diff 21960.May 6 2019, 7:41 AM
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 21993.May 7 2019, 2:54 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 21999.May 7 2019, 2:55 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22107.May 12 2019, 2:18 AM

Rebase & update

zmike accepted this revision.May 13 2019, 11:41 AM
This revision is now accepted and ready to land.May 13 2019, 11:41 AM
bu5hm4n updated this revision to Diff 22158.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22178.May 14 2019, 10:54 AM

update to new API names

bu5hm4n updated this revision to Diff 22189.May 14 2019, 11:21 AM

update to new API names, redo

Closed by commit rEFL282b76e2bd39: efl_ui_panes: migrate to efl_ui_clickable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 14 2019, 1:19 PM
This revision was automatically updated to reflect the committed changes.